Bug 857330 - [FEAT] Task-id for async tasks
[FEAT] Task-id for async tasks
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
mainline
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kaushal
:
Depends On:
Blocks: 865324 895528
  Show dependency treegraph
 
Reported: 2012-09-14 02:57 EDT by Kaushal
Modified: 2013-07-24 13:35 EDT (History)
3 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:35:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kaushal 2012-09-14 02:57:16 EDT
Task-id's need to be generated for whenever an async task (replace-brick, rebalance, remove-brick) is started, and must be shown to the user. This helps in tracking of progress of a task.
Comment 1 Kaushal 2012-10-10 03:24:24 EDT
Patch under review at http://review.gluster.org/3942
Comment 2 Vijay Bellur 2012-12-04 03:18:12 EST
CHANGE: http://review.gluster.org/4263 (tests: Introduce new test primitive EXPECT_WITHIN) merged in master by Anand Avati (avati@redhat.com)
Comment 3 Vijay Bellur 2012-12-04 17:44:48 EST
CHANGE: http://review.gluster.org/3942 (glusterd, cli: Task id's for async tasks) merged in master by Anand Avati (avati@redhat.com)
Comment 4 Vijay Bellur 2012-12-19 16:33:02 EST
CHANGE: http://review.gluster.org/4294 (glusterd, cli: Task id's for async tasks) merged in master by Anand Avati (avati@redhat.com)
Comment 5 Vijay Bellur 2013-01-09 02:33:24 EST
CHANGE: http://review.gluster.org/4342 (cli: Fix task-id xml compilation) merged in master by Vijay Bellur (vbellur@redhat.com)
Comment 6 Vijay Bellur 2013-01-17 23:56:43 EST
CHANGE: http://review.gluster.org/4390 (tests: Fix tests for bug 857330) merged in master by Anand Avati (avati@redhat.com)
Comment 7 Vijay Bellur 2013-02-18 13:36:22 EST
CHANGE: http://review.gluster.org/4514 (glusterd: Fix check for task-id existence in 'volume status') merged in master by Anand Avati (avati@redhat.com)
Comment 8 Vijay Bellur 2013-03-05 04:06:15 EST
CHANGE: http://review.gluster.org/4617 (glusterd: Fix check for task-id existence in 'volume status') merged in release-3.4 by Vijay Bellur (vbellur@redhat.com)

Note You need to log in before you can comment on or make changes to this bug.